<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * Плагин csv_banner для MaxSite CMS
 * http://max-3000.com/
 * Вывод из файла CSV в виджет
 */
 
 // страница админки плагина csv_banner
  
	
	mso_cur_dir_lang(__FILE__);

	$options_key_list = 'csv_banner_list';
	$options_key_headers = 'csv_banner_headers';

	if ( $post = mso_check_post(array('f_session_id', 'f_edit_submit', 'f_desc')) )
	{
		mso_checkreferer();
		if ($f_desc = $post['f_desc'])
		{
			$list = mso_get_option($options_key_list, 'plugins', array());
			// массив изменяемых картинок
			foreach ($f_desc as $key => $val)
			{
				$list[$key]['Product Desc'] = $val;
			}	
			mso_add_option($options_key_list, $list, 'plugins');
			mso_flush_cache();
			echo '<div class="update">' . t('Облновлено!', 'plugins') . '</div>';			
		}
		
	}
	
	if ( $post = mso_check_post(array('f_session_id', 'f_convert_submit')) )
	{
		$headers = array();
		mso_checkreferer();
		$file = getinfo('plugins_dir') . 'csv_banner/list.csv';
		require_once(getinfo('plugins_dir') . 'csv_banner/includes/importer.php');
		$csv = new ImporterLib();
		$csv->delim($file);
		foreach ($csv->data as $hkey => $hval) {
			foreach ($hval as $hk => $hv) {
				$headers[] = $hk;
			}
			break;
		}
		$list = $csv->data;

		mso_add_option($options_key_list, $list, 'plugins');
		mso_add_option($options_key_headers, $headers, 'plugins');

		mso_flush_cache();
		echo '<div class="update">' . t('Прочитано!', 'plugins') . '</div>';
	}

	$list = mso_get_option($options_key_list, 'plugins', array());
    $headers = mso_get_option($options_key_headers, 'plugins', array());

	echo '<h2>' . t('Импорт списка товаров CSV', 'plugins') . '</h2>'; 
	echo '<form action="" method="post">' . mso_form_session('f_session_id');
	echo '<input type="submit" name="f_convert_submit" value="' . t('Прочитать файл list.csv', 'plugins') . '"style="margin: 25px 0 5px 0;"> <span class="t-red">Затрется вся старая информация!</span>';
    echo '<h3>' . t('Поля', 'plugins') . '</h3>';
	echo '<div class="t90">'; foreach ($headers as $header) echo $header . '| '; echo '</div>';
    echo '<h3>' . t('Содержимое', 'plugins') . '</h3>';
	foreach ($list as $key=>$item)
	{
		echo '<div class="flex">
		<div class="w15"><p><a href="' . $item['Promotion Url'] . '" target="_blank"><img src="' . $item['Image Url'] . '"></a></p></div>
		<div class="w80"><p><textarea name="f_desc['.$key.']" rows="3" cols="20">' . $item['Product Desc'] . '</textarea></p>
		<p>' . $item['Discount Price'] . '</p></div></div>';
    }	
	echo '<input type="submit" name="f_edit_submit" value="' . t('Изменить описания', 'plugins') . '"style="margin: 25px 0 5px 0;">';
    echo '</form>';
	echo '<hr class="dotted">';
    //pr ($list);


# end of file